help=false;
skipping=false;
needle=false;
loadresource("data\\9\\11\\texture.png","texture",1001);
loadresource("data\\9\\11\\begin.png","begin",1002);
loadresource("data\\9\\11\\hole.png","hole",1003);
loadresource("data\\9\\11\\end.png","end",1004);
loadresource("data\\9\\11\\bg1.png","bg1",1001);
loadresource("data\\9\\11\\needle.png","needle",1005);
loadresource("data\\9\\11\\bg.jpg","bg",1006);
loadresource("data\\btn.png","btn",1007);
loadresource("data\\9\\11\\Reset.png","Reset",1008);

set_activ_free_leaf("mini");	


AddSkipBtn(668,574)
addactivobjecttogame(1001,"btn",838,64,"","",0,0, 0,105,35,35,0,"1013");
addactivobjecttogame(1002,"Reset",170,574,"","");
addactivobjecttogame(6000,"buttons",596,570,"","",0,0,783,975,34,34);
-- addactivobjecttogame(1002,"btn",820,56,"","",0,0,35,0,35,35,0,"1014");
-- addactivobjecttogame(1003,"btn",839,75,"","",0,0,70,0,35,35,0,"1015");


--addobject("texture",2000,2000,"");
--addobject("begin",328,164,819,500);
addactivobjecttogame(1004,"begin",378,405,"","");
addactivobjecttogame(1005,"hole",661,226,"","");
addactivobjecttogame(1006,"hole",392,437,"","");
addactivobjecttogame(1007,"hole",453,469,"","");
addactivobjecttogame(1008,"hole",536,437,"","");
addactivobjecttogame(1009,"hole",559,341,"","");
addactivobjecttogame(1010,"hole",575,287,"","");
addactivobjecttogame(1011,"hole",629,306,"","");
addactivobjecttogame(1012,"hole",613,373,"","");
addactivobjecttogame(1013,"hole",629,437,"","");
addactivobjecttogame(1014,"hole",703,461,"","");
addactivobjecttogame(1015,"hole",762,447,"","");
addactivobjecttogame(1016,"hole",781,360,"","");
addactivobjecttogame(1017,"hole",730,328,"","");
addactivobjecttogame(1018,"hole",670,287,"","");
addactivobjecttogame(1019,"hole",645,154,"","");
addactivobjecttogame(1020,"hole",566,163,"","");
addactivobjecttogame(1021,"hole",514,230,"","");
addactivobjecttogame(1022,"hole",519,303,"","");
addactivobjecttogame(1023,"hole",514,373,"","");
addactivobjecttogame(1024,"hole",453,374,"","");
addactivobjecttogame(1025,"hole",347,342,"","");
addactivobjecttogame(1026,"hole",322,258,"","");
addactivobjecttogame(1027,"hole",424,290,"","");
addactivobjecttogame(1028,"hole",379,179,"","");
addactivobjecttogame(1029,"hole",437,210,"","");
addactivobjecttogame(1030,"hole",312,373,"","");

addstaticobjecttogame(1031+27,"bg1",544,507,"");

if flags.filament and flags.needle then
	addactivobjecttogame(1032+27,"needle",593,491,"","");
	set_pixel_check(1032+27,false)
end;

addstaticobjecttogame(1033+27,"bg",164,56,"",0,0,714,573);

speciale_action(2,1001);
speciale_action(2,1002);
-- speciale_action(2,1033);
-- for i=1001,1031,1 do
	-- speciale_action(2,i);
-- end;
for i=1004,1030,1 do
	speciale_action(2,i);
end;
